---
- name: Install docker
  gather_facts: false
  hosts: all

  tasks:
  - name: Uninstall old versions
    yum:
      name: "{{ item }}"
      state: removed
    with_items:
      - docker  
      - docker-client
      - docker-client-latest
      - docker-common
      - docker-latest
      - docker-latest-logrotate
      - docker-logrotate
      - docker-engine
  
  - name: Set up the repository - Step 1/2 - Install yum-utils
    yum:
      name: yum-utils
      state: present

  - name: Set up the repository - Step 2/2 - Add stable docker repo
    get_url:
      url: https://download.docker.com/linux/centos/docker-ce.repo
      dest: /etc/yum.repos.d/docer-ce.repo

  - name: Install Docker Engine - Step 1/2 - Install Docker Engine
    yum:
      name: "{{ item }}"
      state: present
    with_items:
      - docker-ce
      - docker-ce-cli
      - containerd.io

  - name: Install Docker Engine - Step 2/2 - Start Docker Engine service
    service:
      name: docker
      state: started

  - name: Add user Ansible to docker group to be able to use docker on nodes
    user:
      name: user-ansible
      groups: docker
      append: yes

  

